# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.wiki.api.Release
Modifier and Type
Constant Field
Value
`public static final String`
`APPNAME`
`"JSPWiki"`
`public static final String`
`BUILD`
`""`
`public static final int`
`MINORREVISION`
`0`
`public static final int`
`REVISION`
`0`
`public static final int`
`VERSION`
`3`
`public static final String`
`VERSTR`
`"3.0.0"`

org.apache.wiki.api.core.Context
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_CONTEXT`
`"jspwiki.context"`
`public static final String`
`VAR_EXECUTE_PLUGINS`
`"_PluginContent.execute"`
`public static final String`
`VAR_WYSIWYG_EDITOR_MODE`
`"WYSIWYG_EDITOR_MODE"`
org.apache.wiki.api.core.Engine
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_INLINEPATTERN`
`"*.png"`
`public static final String`
`DEFAULT_TEMPLATE_NAME`
`"default"`
`public static final String`
`PREFS_COOKIE_NAME`
`"JSPWikiUserProfile"`
`public static final String`
`PROP_ACL_MANAGER_IMPL`
`"jspwiki.aclManager"`
`public static final String`
`PROP_ALLOW_CREATION_OF_EMPTY_PAGES`
`"jspwiki.allowCreationOfEmptyPages"`
`public static final String`
`PROP_APPNAME`
`"jspwiki.applicationName"`
`public static final String`
`PROP_ENCODING`
`"jspwiki.encoding"`
`public static final String`
`PROP_FRONTPAGE`
`"jspwiki.frontPage"`
`public static final String`
`PROP_INLINEIMAGEPTRN`
`"jspwiki.translatorReader.inlinePattern"`
`public static final String`
`PROP_INTERWIKIREF`
`"jspwiki.interWikiRef."`
`public static final String`
`PROP_MATCHPLURALS`
`"jspwiki.translatorReader.matchEnglishPlurals"`
`public static final String`
`PROP_NO_FILTER_ENCODING`
`"jspwiki.nofilterencoding"`
`public static final String`
`PROP_REF_MANAGER_IMPL`
`"jspwiki.refManager"`
`public static final String`
`PROP_SEARCHPATH`
`"jspwiki.plugin.searchPath"`
`public static final String`
`PROP_STOREUSERNAME`
`"jspwiki.storeUserName"`
`public static final String`
`PROP_TEMPLATEDIR`
`"jspwiki.templateDir"`
`public static final String`
`PROP_URLCONSTRUCTOR`
`"jspwiki.urlConstructor"`
`public static final String`
`PROP_USE_2_X_ACL_LOGIC`
`"jspwiki.security.useOldPageAccessControlLogic"`
`public static final String`
`PROP_WORKDIR`
`"jspwiki.workDir"`
org.apache.wiki.api.core.Page
Modifier and Type
Constant Field
Value
`public static final String`
`ALIAS`
`"alias"`
`public static final String`
`AUTHOR`
`"author"`
`public static final String`
`CHANGENOTE`
`"changenote"`
`public static final String`
`DESCRIPTION`
`"summary"`
`public static final String`
`REDIRECT`
`"redirect"`
`public static final String`
`VIEWCOUNT`
`"viewcount"`
org.apache.wiki.api.core.Session
Modifier and Type
Constant Field
Value
`public static final String`
`ANONYMOUS`
`"anonymous"`
`public static final String`
`ASSERTED`
`"asserted"`
`public static final String`
`AUTHENTICATED`
`"authenticated"`

org.apache.wiki.api.plugin.Plugin
Modifier and Type
Constant Field
Value
`public static final String`
`CORE_PLUGINS_RESOURCEBUNDLE`
`"plugin.PluginResources"`

org.apache.wiki.api.providers.AttachmentProvider
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_STORAGEDIR`
`"jspwiki.basicAttachmentProvider.storageDir"`
org.apache.wiki.api.providers.WikiProvider
Modifier and Type
Constant Field
Value
`public static final int`
`LATEST_VERSION`
`-1`

org.apache.wiki.api.search.QueryItem
Modifier and Type
Constant Field
Value
`public static final int`
`FORBIDDEN`
`-1`
`public static final int`
`REQUESTED`
`0`
`public static final int`
`REQUIRED`
`1`